顯示文章

這裡允許您檢視這個會員的所有文章。請注意, 您只能看見您有權限閱讀的文章。


文章 - kuolung

頁: 1 [2] 3 4 ... 35
31
Known issue
please access the following URL
http://www.virtualbox.org/ticket/3562

and I have installed Windows2008x64(guest) on VistaSP1x86(host) into my laptop
detail information
VirtualBox 2.1.2x86
CPU : T8100
RAM : 4GB
guest allocate 1024MB
so it can install x64 guest OS on a 32bits host OS
Please check if enable AMD-V or VT, and Host CPU support x64 instruction set, then I guess it could run 64bits Guest OS on a 32Bits Host OS.



一時不查,剛剛再去看刁Manual 才知2.1.x 以後的的就可以支援 32bit host + 64bit guest 了

32
Linux 討論版 / 回覆: 關於centos5.2的問題
« 於: 2009-04-06 10:39 »
我想請問一下有人在centos 5.2安裝virtualbox成功過的嗎
因為我在安裝virtualbox的時候 安裝到一半他就會自己重開機
然後就沒完沒了的一直重開了 我有看了一下開機過程
他都是到Virtual...這段的時候執行沒過就重開機了
請問一下有人遇到過這種狀況嗎...我virtualbox安裝的版本是目前最新的
i386那個項目的版本 另外我在一開始安裝centos的時候有將所有的套件
包含細項的全部都有安裝 因為我之前依照預設安裝的選項
在做./configure都會失敗 麻煩各位幫個忙...

在原版的使用手冊上有說明到 "Error in setting vboxdrv: Invalid argument" 的問題,所以請檢查您的 dmsg 的內容看看,是不是這個問題

另,CentOS 在安裝時會有一個 Xen 的選項,照理說,如果要使用VirtualBox 要把 Xen 關掉才行,最簡單的方式,就是用 uname -a  看一下,您的kernel 是的版本後面有沒有 xen 的字樣,如果是,請改用沒有 xen 的 kernel 看看

33
我在家安裝VirtualBox-2.1.4-42893-Win_x86.msi版的虛擬軟體,
跟安裝掛載的iso檔的是LINUX-CentOS-5.2-i386-bin-DVD版的跟CentOS-5.2-x86_64-bin-DVD版的,這兩個
可是一按啟動進入安裝畫面就當機,需要重開電腦才行,
還有我之前安裝VirtualBox-1.6.2-Win_x86.msi_版的虛擬軟體來安裝以上提的兩種iso檔就可以正常啟用,
請問各位高手是什麼問題??????
還是VirtualBox-2.1.4-42893-Win_x86.msi版的跟LINUX-CentOS-5.2-i386-bin-DVD版有
對實際的主機硬體上的有排斥的問題?????????????????????????
請各為高手大大幫幫忙~~謝謝 ~另外我的主機硬體是
cpu 是intel intel  pentium D 930的(是有跟64位元還是32位元有關係嗎?????)
我的作業系統是winxp sp3的是32位元的


1. 您的OS是 XP 32bit 的,所以不能安裝 CentOS-5.2-x86_64-bin-DVD
2. Pentium D 930 有支援虛擬cpu,但是 BIOS 開啟這項功能才行,所以請檢查一下Bios看看
3. VirtualBox 和硬体排斥的可能性比較小,跟作業系統或其他軟体排斥可能性比較大

以上是個人淺見,請參考

34
新版的考題官網上說明是在4月份釋出,這一次要考新版的還是舊版的

35
我剛剛下載最新的 2.1.4 版來安裝,發現一點問題,
我的環境是 Vista x64 sp1  Q9550 8G RAM

用原來 VPC 2007 建立的 CentOS 5.2 32bit 版建立的 VHD , 可以開機,跑一下,就會出現硬碟 crach ,而用 fsck 也無法修復,但重新用 VPC 2007 啟動,一下子就修復完成,且正常運作,看來,VirtualBox 對 VHD 的支援還不是很穩定

36

有解嗎 ?? (新版的呢 ??)

小弟因為想再 pppoe 連線成功時做點事


我記得在 /etc/ppp/ 中有二個檔叫 ip-up 和 ip-down 的,
您只要把 ip-up copy 一份 ip-up.local  和 ip-down -> ip-down.local

裡面就可以寫當 pppoe 連線成功後和斷線後,你想要系統做的事情了,不用去修改原始的  scripts

37
您的問題,原創作者有看到,我到原創官網,有出  3.10 版,您可以試試看新版的是否能解決這個問題,如果沒有,才再試試看自己改 scripts

http://www.roaringpenguin.com/products/pppoe

38
如何在使用舊kenrel 時,更新driver 到新kernel ,
改 driver 的 Makefile 吧,通常 Makefile 會呼叫 uname 去抓取當前運作的 kernel 版本
若把它手動寫成新的 kernel 版本就可以

謝謝你的解答,因為我用的原廠提供的 Driver ,只有一個安裝程序,看不到 Makefile,所以好像不太能用,
我已發了一封 email  給 Mavell 的技術支援了,有好消息會在這兒公佈

39
我最近安裝的主機,內建的網卡都是用 Marvell 88E...  系列的,安裝 CentOS 5.x 都無法自動偵測到,要到 Marvell 的官網下載 driver ,再安裝就可以使用了,但有一個問題,每一次用 yum 更新到 kernel 時,如何在使用舊kenrel 時,更新driver 到新kernel ,



40
補充一下,如果兩張網卡一樣,就會依 mac address 來排序

41
Linux 討論版 / 回覆: compiere ERP 安裝問題
« 於: 2008-07-13 09:57 »
另外,compiere 也有在台灣招攬推廣會員,也提供訓練,不過不便宜,金質會員一年要 us$4000,如果你是想引進公司使用,不妨跟公司報告,加入他們的金質會員,應該會提供很好的支援,不管你使用那一種軟體,顧問咨詢費用是不可省的

42
Linux 討論版 / 回覆: compiere ERP 安裝問題
« 於: 2008-07-12 15:27 »
我以前也有想過,使用 compiere ERP ,因為是Open Source,也可以使用 PostgreSQL ,但是中文化的部份都是要另外花錢買的,所以放棄,如果您要興趣,我們可以一起來做看看

安裝和建立,應該沒有問題,我是沒有 Case 可以 Study

43
謝謝您,這樣應該是可以用,我的想法是
因為我進 X-window,在選單上使用 skype 的指定語系的方式,
不然每次要使用 skype ,要再開指令螢幕,不太方便

44
雜七雜八 / 回覆: firefox 3.0
« 於: 2008-07-12 14:59 »
我以前也常碰到這樣的問題,後來發現是 adobe 會自動判斷您的地區的這個功能有問題,您試試把cookie 刪除,再重新開看看,再不行,應該就是外掛有問題了

45
我想說,應是使用的語系的問題,就開一個文字終端機視窗,
改 LANG=en_US.UTF-8,再下指令 skype 就可以正常了

不知在CentOS 下,有沒有可以指定單一程式語系環境的方法

46
各位不知有沒有人在 CentOS 下使用 skype
我剛剛昇從 CentOS 5.1 昇級到 CentOS 5.2
再去下載 skype 2.0 for Linux 安裝,看起來正常,
執行後,卻出現所有字形都是方框框,
當我把 CentOS 的環境改到英文時,Skype 就一切正常了,連中文都可以出來,

請問這該如何解決

47
我也是全面改用  CentOS

48
我想您可能會錯意了,我的問題是在 VPC 2007 上的 CentOS 5.x ,和一般正常的 CentOS 5.x 設法是不一樣的

49
我的 CentOS 5.1 可以正常的跑 Xen ,之前也用了全模擬的方式又灌了一台  CentOS 5.1 在 DomainU,
我用的是硬碟是開檔的方式,每次啟動  DomainU 時,都會跑出一個 SElinux alart

是指

/sbin/losetup (fsadm_t) "append" to /var/run/xen-hotplug/block (var_run_t)

請問在不關 SElinux 下,以上可以方式解 ??

50
那如果,我寫一個 scripts 

service httpd restart

讓 user 有權限執行,但沒有直接執行  service 這個指令, 可行嗎 ??

51
如果使用 sudo

可以只開放  service httpd restart
但不可使用  service httpd stop 嗎 ??

52
請問在 Linux 中,是否可以設定 某一個 user 有重啟指定 service 的權限,但沒有系統管理員的權限

尢其是想給  ip  ,  ifconfig 和指定的 Service 這幾個指令的權限,但不能用 /sbin 中其他指令

例 

service httpd restart  可以

service MailScanner restart 禁止

53
這個是有可能做到的,我以前有試過,不過要做很多工作

1. 要先會寫 Multipath 的 Script ,每當重新連結 ADSL 時,可以自動修改NAT 的規則,

2. 可以這樣做試看看,先連一個 PPP0 ,把 NAT 轉到PPP0 , 這時起動連接 PPP1,等 PPP1 連結成功了,再改NAT到 PPP1 , WAIT 幾分鐘後,將 PPP0 斷線重連,PPP0 取得新的 IP 後,再把 NAT 改回來 PPP0,就這樣 PPP0 , PPP1 交互切換就可以了,如果 session 太多了,或是程式跑太快,可以多加幾個 pppX 進去

3. 如果要做到 by session 的方式,還要加 iptables -t mangle 的東東,這就要問其他高手了

54
Linux 討論版 / 回覆: Linux上安裝jdk的問題
« 於: 2008-04-12 23:50 »
基本上,直接安裝新版的就可以了,但是有一些連結可能要修改一下,會因你使用的 Linux 版本不同而不同,所以你可以試一下
安裝完新版後,執行

java -version

看一看,是不是新版的,如果不是,有一個 alternative 的程式可以修改,詳細的作法,要看你的 Linux 版本,和用什麼套件安裝有關

55
我記得 ICH9R 才有 Raid 的功能吧,所以最好,提供主機板的廠商和型號,才能確定

也提一下,我之前用 X35 + ICH9R 的 FAKE RAID 的慘痛經驗,因為我一開始安裝的是 CentOS 5.0 X86_64 版的,中間經過一次用 yum 自動更新到 CentOS 5.1,結果很慘,硬碟當場掛點,無法開機,連救都很難,只好重灌一次,但是在 CentOS 5.0 i386 版 昇 CentOS 5.1 i386 版倒是沒有這個問題,

56
各位大大好,我的CentOS 5.1  目前用的 kernel 是 x86_64 2.6.18-53.1.4.el5xen 版的,因為內建的 sky2 網卡驅動程式無法認到我的主機板  ASUS P5E 內建網卡,所以想自己重編 kernel ,從 kernel.org 下載了最新的 2.6.23.14 版,卻找不到 CentOS 5.1 的 xen kernel patch 檔,請教各位大大,我想自己編for Xen 的 kernel 要怎麼做

57
Linux 討論版 / 回覆: 雙網卡擋路由
« 於: 2008-01-17 09:02 »
不好意思
因為我的主機對內是做samba用
外網是走固定ip的adsl當作其他主機轉跳別台主機的跳板
如果gateway都不設定的話
會不會造成影響?
另外我的預設Gateway 0.0.0.0 早已經刪除
還是可以用ssh先進eth1再ssh跳到外部的主機
完全不知道為甚麼


先確定一下,你的問題,
1. 主機有兩個網卡,eth0 對外,eth1 對內
2. 主機本身可以連外,也可以連內
3. 你不希望,外面的電腦透過這一台主機連到內部網路

基本上就這個問題,只要你不設 ip_forward 就可以了,
但是你的測試方式是用 ssh 連到這台主機,再連進內部網路,就防火牆本身是沒有辦法阻擋這樣連接,就算可以,要設也很不容易,因為用ssh 連進這一台主機,就視同由這一台主機往外連線

58
Linux 討論版 / 回覆: 請教contos5 vnc疑問
« 於: 2007-12-29 07:25 »
請教前輩

我使用crntos 5.1
想請教預設安裝好的vnc-server
設定檔為何呢

因為我使用x-window設定讓登入者不需要密碼即可進入
我想知道它是去改哪個設定檔
我使用rpm -ql vnc-server
唯一可能的設定檔就是/etc/sysconfig/vncserver

可是好像不是

crntos  ??? 還是CENTOS ?

如果是CENTOS的話
Xwindows預設安裝的VNC是 vino-server
似乎是沒有設定檔可以改
我到目前也還沒找到
唯一找到可以設定的地方
只有Xwindows下的系統>偏好設定>遠端桌面

可以試試  vncpasswd

59
謝謝各位先進的回覆.
我學 Linux 是要建 Web server, email server & VPN 用,
1.) 不知那一個 distribution 較適合 ?
2.) Mandrake 跟 Mandriva 有何差別 ?
3.) sendmail 適用於那一個 distribution ?
4.) 我剛到義守大學 ftp 去看過了, 進入 Linux directory 看到以下畫面.
CentOS
CLE
Debian
Fedora
Gentoo
Kernal
....
舉例來說, 要學 Debian, 是否只要下載 Debian 目錄內的所有檔案即可 ? 須要下載 Kernal目錄內的東西嗎 ?
5.) 學Linux 要用中文或英文版? 各為先進是用中文或英文 版 ?

請各位先進幫忙回覆.
謝謝!!


因為鳥哥很多教學是用CentOS,所以你可以用一樣的,比較好進入狀況。CentOS 跟 Redhat 很類似,應該很好入門。
剛開始玩Linux建議可以多安裝幾次,第一次安裝時,建議所有套件都安裝,挫折感比較不那麼重。玩到差不多時,就可以選擇需要的才安裝。裝過十次之後就會成為安裝高手了。

CentOS裡有Sendmail,也有Postfix,我是看鳥站裝好Postfix的。

義守大學已有CentOS 5.1版了,如果是64bit CPU可下載下面第二個x86_64,只要下載一個檔就可以安裝了。
http://ftp.isu.edu.tw/pub/Linux/CentOS/5.1/isos/i386/CentOS-5.1-i386-bin-DVD.iso
http://ftp.isu.edu.tw/pub/Linux/CentOS/5.1/isos/x86_64/CentOS-5.1-x86_64-bin-DVD.iso  64bit CPU適用

你可以用中文的,因為大部份指令與訊息還是英文,跟英文版沒兩樣。只有X Window才用的到中文。

預祝你學習愉快。此區有很多高手會指導你的。


對於 CentOS 5.1  X86_64 最近這幾天安裝的心得是除非你是要安裝 4GB 以上的記憶体,否則儘量少用,因為很多硬体都不能用,
尤其是有用到 Raid 的人,會很慘的

所以建議改用 CentOS 5.1 i686 32bit 版的,問題會少很多

PS: 用 CentOS 5.0 用 yum 昇級,會自動昇級到  CentOS 5.1 ,所以用 X86_64 的人,不要急著用 yum update

60
Linux 討論版 / 回覆: centos 5 的yum更新問題
« 於: 2007-12-10 08:25 »
各位大大,請問一下:
我學校的 server 更新,最近下載到一半就出現下載時間逾時的訊息......可是以前不會有這狀況啊~而我也不會動到 yum 設定值

以下列舉這訊息狀況~
 
Package kernel.i686 0:2.6.18-53.1.4.el5 set to be installed
---> Downloading header for Deployment_Guide-zh-CN to pack into transaction set.
Deployment_Guide-zh-CN-5. 100% |=========================|  57 kB    00:00
---> Package Deployment_Guide-zh-CN.noarch 0:5.1.0-11.el5.centos.1 set to be updated
---> Downloading header for pkinit-nss to pack into transaction set.
http://ftp.cse.yzu.edu.tw/pub/CentOS/5/os/i386/CentOS/pkinit-nss-0.7.3-1.el5.i386.rpm: [Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
Error: failure: CentOS/pkinit-nss-0.7.3-1.el5.i386.rpm from base: [Errno 256] No more mirrors to try.

雖然上網查閱相關資料,還是無解,就算防火牆關閉還是不行......明明網路上有這檔案卻抓不下來耶~


你的情況和我一樣,後來我查過原來是 CentOS 正在更新 5.0 -> 5.1 ,系統會自動指向 5.1 ,但是某一些 mirror 站還沒有全部下載完成,就會出現這個情況,
建議這幾天暫時不要用 yum 更新比較好

頁: 1 [2] 3 4 ... 35